

/**
 * The class representing events happening with the HandyBoard 
 * 
 * @author Orit Shaer
 */

public class HBDEvent {
	
	/**
	 * correspond to the inputs from the HandyBoard.
	 */
	public static final char c1_on = 'A'; //65
	public static final char c2_on = 'B';
	public static final char c3_on = 'C';
	public static final char c4_on = 'D';
	public static final char c5_on = 'E';
	public static final char c6_on = 'F';
	public static final char c7_on = 'G';
	public static final char c8_on = 'H';
	

	
	public static final char c1_off = 'a';
	public static final char c2_off = 'b';
	public static final char c3_off = 'c';
	public static final char c4_off = 'd';
	public static final char c5_off = 'e';
	public static final char c6_off = 'f';
	public static final char c7_off = 'g';
	public static final char c8_off = 'h';
	
	
	public static final char GAMEOVER = '!'; //33

	// The class source of the digital event 
	private SerialReader source;

	
	// The circle source and state of event. see the above dictionary 
	private char code;

	/**
	 * Creates a HandyBoard event from the digital input.
	 * @param source
	 * @param id
	 * @param code
	 */
	public HBDEvent(SerialReader source, char code) {
		this.source = source;
		this.code = code;
	}

	/**
	 * Returns the serial reader source of the event.
	 * @return the serial reader where the event came from.
	 */
	public SerialReader getSource() {
		return source;
	}

	
	/**
	 * Returns the code of the digital input.
	 * @return the code of the digital input.
	 */
	public char getCode() {
		return code;
	}

	/**
	 * Returns a string representation of this class.
	 */
	public String toString() {
		return source
			+ " "
			+ Integer.toString(code);
	}
}
